Create a beneficiary

Description


This endpoint allows to create and associate a beneficiary account to the third party / user.



Prerequisite


  • To access this endpoint, authentication is required. Credentials are to be provided in the request headers as part of the authentication process.
  • Only SEPA IBAN are allowed.


Strong Customer Authentication


In order to perform the customer Strong Customer Authentication (mandatory and only for Agent partners), you must use this endpoint :

  • POST /api/sca/v2.0/users/{appUserId}/beneficiary


Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description

  • This endpoint allows to update the details of a beneficiary.
  • It may be used to update additionnal information such as names, email, phone number.
  • If you wish to modify the BIC and/or IBAN, you must delete the beneficiary and create a new one.
  • While creating a beneficiary, if no currency is specified then EUR is the default value (currently currency cannot be updated).

Prerequiste

  • To access this endpoint, authentication is required.
  • Credentials are to be provided in the request headers as part of the authentication process.
  • The beneficiary must already exist and be associated with the third party / user.

Strong Customer Authentication

In order to perform the customer Strong Customer Authentication (mandatory and only for Agent partners), you must use this endpoint :

  • /api/sca/v2.0/users/appUserId/beneficiary/beneficiaryId

Path Params
string
required

User identifier from the Partner.

Format: min 6 characters, max 30 characters

Accepted characters: 0-9 a-z A-Z _ - . ! § ( )

Regex: ^[a-zA-Z0-9-_.!§)(]*$

Body Params

Create Bank account

string
required
length ≥ 1

Last name and first name of beneficiary. As part of the verification of payee, the identity of the beneficiary is checked.

In order to limit the number of rejected transactions, it is essential that this information is accurate.

Format: min 1 character, max 70 characters

Regex: ^[A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+(['’ -][A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+)*$

string
required
length ≥ 1

IBAN (International Bank Account Number).

Format: min 15 characters, max 34 characters

Regex: ^[A-Z]{2}[0-9]{2}[A-Z0-9]{11,30}$

string | null

BIC (Bank Identifier Code). It is an 8/11 characters code that identifies banks globally.

Format: 8 or 11 characters

Regex: ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$

string | null

Beneficiary account supported currency. Possible values : EUR , PLN, RON. If not configured then EUR is the default value.

Format: ISO-4217 format.

string | null

First name of the beneficiairy.

Format: min 1 character, max 140 characters

Regex: ^[A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+(['’ -][A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+)*$

string | null

Last name of the beneficiary.

Format: min 1 character, max 140 characters

Regex: ^[A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+(['’ -][A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+)*$

string | null

Beneficiary company name (to be used if the beneficiary is a company).

Format: min 1 character, max 100 characters

Accepted characters: 0-9 a-z A-Z _ - . ! § ( )
Regex: ^[a-zA-Z0-9-_.!§)(]*$

string | null

Beneficiary's zip code.

Format: min 1 character, max 16 characters

Regex: ^[A-Za-z0-9][A-Za-z0-9\s-]{2,9}$

string | null

Beneficiary's email.

Format: min 6 characters, max 100 characters

Regex: ^[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+.[A-Za-z]{2,}$

string | null

Beneficiary's phone number.

Format: min 7 characters, max 15 characters

Regex: ^+?[0-9]\d{6,14}$

Headers
string
Defaults to 8f5e332f-9a82-41ae-8519-57503fb6ccd6

Correlation Id

string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json